Subject: Wierd "make" stack faults, and other stuff...
From: [email-masked] ("Edward S. Marshall")

4 Jan 1997 16:31:30 -0800
Sender: [email-masked]
Approved: [email-masked]
Distribution: cygnus
Message-ID: <[email-masked]>
Mime-Version: 1.0
Content-Type: TEXT/PLAIN; charset=US-ASCII
Original-To: [email-masked]
Original-Sender: [email-masked]

I've noticed a lot of people posting problems with stack faults when they
run make, etc, lately, and I ran into the same problem myself. I think I
may have found the culprit: when I originally installed an older version
of the tools, I installed a copy of cygwin.dll in %windir%\system32. This
copy was being loaded whenever I attempted to run something; the reason
_some_ of my software still worked was that I still had a copy of the
cygwin.dll file in my H-i386-cygwin32/bin directory, which was being
loaded when I ran bash. However, /bin/sh.exe was just a copy of bash.exe,
and there wasn't a copy of the library available in that directory, so it
loaded the version it found first: in the windows directory. Blecch.

The moral: don't mix your libraries. :-)

--
..-----------------------------------------------------------------------------.
| Edward S. Marshall <[email-masked]> | CII Technical Administrator,     |
| http://www.common.net/~emarshal/         | Vice-President, Common Internet  |
| Finger for PGP public key.               | Inc, and Linux & LPmud (ab)user. |
`-----------------------------------------------------------------------------'

-
For help on using this list, send a message to
"[email-masked]" with one line of text: "help".